<template>
    <input
        v-model="proxyChecked"
        :value="value"
        class="rounded border-gray-300 text-indigo-600 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50"
        type="checkbox"
    />
</template>

<script setup>
import { computed, defineEmits, defineProps } from "vue";

const props = defineProps({
    checked: {
        type: [Array, Boolean],
        default: false,
    },
    value: {
        default: null,
    },
});
const emit = defineEmits(["update:checked"]);
const proxyChecked = computed({
    get() {
        return this.checked;
    },
    set(val) {
        this.$emit("update:checked", val);
    },
});
</script>
